# Light SDK Installation Guide


Here are the steps to use the light SDK.

## Build Installation

### Add Light SDK package in your root project

First download [Android light SDK][1] from the developer resources page,
then put it inside your root project and unzip it.

Then add inside "settings.gradle":
``` java
'your_project' , 'ONprint_Light'
```

###  Gradle intitialization

Then add inside your main build.gradle:

``` java
dependencies {
    classpath 'com.android.tools.build:gradle:3.2.0'
    classpath "io.realm:realm-gradle-plugin:5.7.0"
}
```

Add inside your application/build.gradle:
``` java
apply plugin: 'realm-android'

compileOptions {
    sourceCompatibility JavaVersion.VERSION_1_8
    targetCompatibility JavaVersion.VERSION_1_8
}

dependencies {
    implementation 'io.realm:realm-gradle-plugin:5.7.0'
    implementation 'com.squareup.okhttp3:okhttp:3.11.0'
    implementation 'com.squareup.retrofit2:converter-gson:2.4.0'
    implementation 'org.apache.commons:commons-text:1.6'
    implementation project(':ONprint_Light')
}
```

### Manifest permissions

Add inside the AndroidManifest.xml the following permissions:
``` java
<uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
<uses-permission android:name="android.permission.INTERNET"/>
```

## Java Initialization

### Data Base initialization
``` java
Realm.init(getApplicationContext());
RealmConfiguration config = new RealmConfiguration.Builder()
    .name("database.realm")
    .schemaVersion(1)
    .deleteRealmIfMigrationNeeded()
    .build();
Realm.setDefaultConfiguration(config);

```

### SDK intialization

To init ONprint SDK you need a apiKey which is a character chain allowing you to use ONprint API services with your dedicating data.

``` java
ONprint.init(context, apiKey);
```

To obtain your personal API Key, please contact mobile@onprint.com


## Dev

Now it's time... to code!
Please follow -> the [developer guide][2]


[1]: http://developer.onprint.com/sdk.html
[2]: https://gitlab.com/onprint_public/Android_ONprint_Light_SDK_Sample/tree/master/DEV.md
